package com.ruoyi.ems.base.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 计量设备信息对象 ems_base_monitor_info
 *
 * @author Yinq
 * @date 2024-05-08
 */
public class EmsBaseMonitorInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objId;

    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorCode;

    /** 计量设备名称 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 计量设备位置 */
    @Excel(name = "计量设备位置")
    private String monitorAddr;

    /** 计量设备类型 */
    @Excel(name = "能源类型")
    private Long monitorType;

    /** 计量设备状态（0启用 1停用） */
    @Excel(name = "计量设备状态", readConverterExp = "0=启用,1=停用")
    private Long monitorStatus;

    /** 采集设备编号F */
    @Excel(name = "采集设备编号")
    private String collectDeviceId;

    /** 等级 */
    @Excel(name = "等级")
    private Long grade;

    /** 传感器仪表 */
    @Excel(name = "传感器仪表")
    private String meterTypeId;

    /** 修正值 */
    @Excel(name = "修正值")
    private Long correctValue;

    /** PT值 */
    @Excel(name = "PT值")
    private Long pt;

    /** CT值 */
    @Excel(name = "CT值")
    private Long ct;

    /** 是否虚拟（0是 1否） */
    @Excel(name = "是否虚拟", readConverterExp = "0=是,1=否")
    private String isAmmeter;

    /** 通断复位 */
    @Excel(name = "通断复位")
    private Long isKeyMonitor;

    /** 是否断路 */
    @Excel(name = "是否断路")
    private Long isCircuit;

    /** 公摊表类型 */
    @Excel(name = "公摊表类型")
    private Long publicShareType;

    /** 表具层级 */
    @Excel(name = "表具层级")
    private Long monitorHierarchy;

    private List<EmsBaseMonitorInfo> children = new ArrayList<EmsBaseMonitorInfo>();

    private String parentName;

    private Long parentId;

    private Integer orderNum;

    private String ancestors;

    private List<Long> monitorTypeList;

    public List<Long> getMonitorTypeList() {
        return monitorTypeList;
    }

    public void setMonitorTypeList(List<Long> monitorTypeList) {
        this.monitorTypeList = monitorTypeList;
    }

    public List<EmsBaseMonitorInfo> getChildren() {
        return children;
    }

    public void setChildren(List<EmsBaseMonitorInfo> children) {
        this.children = children;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }

    public String getMonitorCode() {
        return monitorCode;
    }

    public void setMonitorCode(String monitorCode) {
        this.monitorCode = monitorCode;
    }

    public void setMonitorName(String monitorName)
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName()
    {
        return monitorName;
    }
    public void setMonitorAddr(String monitorAddr)
    {
        this.monitorAddr = monitorAddr;
    }

    public String getMonitorAddr()
    {
        return monitorAddr;
    }
    public void setMonitorType(Long monitorType)
    {
        this.monitorType = monitorType;
    }

    public Long getMonitorType()
    {
        return monitorType;
    }
    public void setMonitorStatus(Long monitorStatus)
    {
        this.monitorStatus = monitorStatus;
    }

    public Long getMonitorStatus()
    {
        return monitorStatus;
    }
    public void setCollectDeviceId(String collectDeviceId)
    {
        this.collectDeviceId = collectDeviceId;
    }

    public String getCollectDeviceId()
    {
        return collectDeviceId;
    }
    public void setGrade(Long grade)
    {
        this.grade = grade;
    }

    public Long getGrade()
    {
        return grade;
    }
    public void setMeterTypeId(String meterTypeId)
    {
        this.meterTypeId = meterTypeId;
    }

    public String getMeterTypeId()
    {
        return meterTypeId;
    }
    public void setCorrectValue(Long correctValue)
    {
        this.correctValue = correctValue;
    }

    public Long getCorrectValue()
    {
        return correctValue;
    }
    public void setPt(Long pt)
    {
        this.pt = pt;
    }

    public Long getPt()
    {
        return pt;
    }
    public void setCt(Long ct)
    {
        this.ct = ct;
    }

    public Long getCt()
    {
        return ct;
    }
    public void setIsAmmeter(String isAmmeter)
    {
        this.isAmmeter = isAmmeter;
    }

    public String getIsAmmeter()
    {
        return isAmmeter;
    }
    public void setIsKeyMonitor(Long isKeyMonitor)
    {
        this.isKeyMonitor = isKeyMonitor;
    }

    public Long getIsKeyMonitor()
    {
        return isKeyMonitor;
    }
    public void setIsCircuit(Long isCircuit)
    {
        this.isCircuit = isCircuit;
    }

    public Long getIsCircuit()
    {
        return isCircuit;
    }
    public void setPublicShareType(Long publicShareType)
    {
        this.publicShareType = publicShareType;
    }

    public Long getPublicShareType()
    {
        return publicShareType;
    }
    public void setMonitorHierarchy(Long monitorHierarchy)
    {
        this.monitorHierarchy = monitorHierarchy;
    }

    public Long getMonitorHierarchy()
    {
        return monitorHierarchy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("monitorName", getMonitorName())
            .append("monitorAddr", getMonitorAddr())
            .append("monitorType", getMonitorType())
            .append("monitorStatus", getMonitorStatus())
            .append("collectDeviceId", getCollectDeviceId())
            .append("grade", getGrade())
            .append("meterTypeId", getMeterTypeId())
            .append("correctValue", getCorrectValue())
            .append("pt", getPt())
            .append("ct", getCt())
            .append("isAmmeter", getIsAmmeter())
            .append("isKeyMonitor", getIsKeyMonitor())
            .append("isCircuit", getIsCircuit())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("publicShareType", getPublicShareType())
            .append("monitorHierarchy", getMonitorHierarchy())
            .toString();
    }
}
